/****************************************************************************************


		MCMemoryCopy.h


		Copyright: (c) 2001 Eovia Corp. All rights reserved.


		Author:	Pierre
		Date:	12/12/97

		Revision History

		when		who			what & why
		==========	==========	======================================================
		08/24/99	dsm			added MCmemfill8/16/32

*****************************************************************************************/

#include "MCBasicTypes.h"

void MCmemmove				(void* dest, const void* source, MCSize length);

void MCmemcpy				(void*   dest, const void*   source, MCSize length8 );

void MCmemfill8				(int8  data, void *dst, MCSize size);			// size in bytes
void MCmemfill16			(int16 data, void *dst, MCSize size);			// size in short
void MCmemfill32			(int32 data, void *dst, MCSize size);			// size in int32
