/****************************************************************************************

		DXF.H.h

		Copyright (c)1990 - 1999 MetaCreations. All rights reserved.

		Definitions shared by the C++ files and the resource definition files (.r)


		Author: Pierre-E

		Date:	7/16/99

		Revision History

		when		who			what & why
		==========	==========	======================================================
		08/31/99	cph			fix to use new import/export API
		8/20/99		cph			added include for I3DShScene.h

*****************************************************************************************/


#ifndef __DXF__
#define __DXF__

#include "MCCompObj.h"
#include "DXFDef.h"
#include "Basic3DImportExport.h"
#include "MCBasicTypes.h"
#include "APITypes.h"
#include "COMUtilities.h"
#include "I3DShScene.h"


extern const MCGUID CLSID_DXF;

class TDXFExporter : public TBasic3DExportFilter
{
public:
	STANDARD_RELEASE;

	virtual int32		MCCOMAPI GetParamsBufferSize	() const	{ return 0;}

	// for 3D exporters elem maps to I3DShScene and subElem maps toI3DShTreeElement through QueryInterface
	virtual MCCOMErr 	MCCOMAPI DoExport	(IMCFile * file, I3DShScene* scene, I3DShTreeElement* fatherTree);
};


#endif
